Solucionado: No puedo instalar guvcview_1.7.0_amd64.deb

Imagen de hectorsales
0 puntos

Hola estoy Utilizando Linux Mint 13 Maya 64 bits-basado en ubuntu 12.04- y estoy intentando instalar guvcview_1.7.0_amd64.deb pero me da el siguiente error:

http://sourceforge.net/projects/guvcview/files/debian-bin/

hector@hector-System-Product-Name ~/Descargas $ sudo dpkg -i guvcview_1.7.0_amd64.deb
[sudo] password for hector:
Seleccionando paquete guvcview previamente no seleccionado
(Leyendo la base de datos ... 200361 ficheros o directorios instalados actualmente.)
Desempaquetando guvcview (de guvcview_1.7.0_amd64.deb) ...
dpkg: problemas de dependencias impiden la configuración de guvcview:
guvcview depende de libavcodec53 (>= 6:0.8.3-1~) | libavcodec-extra-53 (>= 6:0.8.5); sin embargo:
La versión de `libavcodec53' en el sistema es 4:0.8.6-0ubuntu0.12.04.1.
El paquete `libavcodec-extra-53' no está instalado.
guvcview depende de libavutil51 (>= 6:0.8.3-1~) | libavutil-extra-51 (>= 6:0.8.5); sin embargo:
La versión de `libavutil51' en el sistema es 4:0.8.6-0ubuntu0.12.04.1.
El paquete `libavutil-extra-51' no está instalado.
dpkg: error al procesar guvcview (--install):
problemas de dependencias - se deja sin configurar
Procesando disparadores para man-db ...
Procesando disparadores para gnome-menus ...
Procesando disparadores para desktop-file-utils ...
Procesando disparadores para bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Procesando disparadores para menu ...
Se encontraron errores al procesar:
guvcview

Lo intento con sudo dpkg --configure -a ..pero me dice que faltan los paquetes libavcodec-extra-53 y libavutil-extra-51.
Después del error como la aplicación no se ha instalado bien procedo con: sudo apt-get -f install para desinstalar el programa...

Una vez hecho esto procedo a instalar los paquetes libavcodec-extra-53 y libavutil-extra-51, se instalan en el sistema....

Vuelvo a instalar el paquete .deb. sudo dpkg -i guvcview_1.7.0_amd64.deb y vuelve a decir lo mismo .. que no estan instalados en el sistema los paquetes libavcodec-extra-53 y libavutil-extra-51

Haber si alguien me puede echar una mano ....

SOLUCIÓN

Vamos a la página oficial de Gubcview:
http://guvcview.sourceforge.net/

Hay varias formas de instalar:

OPCIÓN A:
sudo add-apt-repository ppa:pj-assis/ppa
sudo apt-get update
sudo apt-get install guvcview

Esta forma es la más sencilla, la única pega que yo le he encontrado es que instala una versión bastante antigua de guvcview y tiene muchas menos funcionalidades que versiones posteriores...

OPCIÓN B:

Instalacion del paquete .deb correspondiente.... para ello debemos ir a la pestaña que dice (binaries.deb)
Yo he instalado la penúltima versión y me funciona perfectamente en Linux Mint 13-Basado en ubuntu 12.04 LTS-, la penultima versión es 1.6.1, la versión 1.7.0 creo que es para ubuntu 13.4 y 13.10...

Una vez nos hemos descargado el paquete, yo lo he instalado por medio de la terminal, aunque se puede hacer también de manera gráfica: mirar el enlace.

http://www.ehowenespanol.com/instalar-paquete-gdebi-como_44995/

-Mediante Terminal
Simplemente ponemos:
gdebi guvcview_1.6.1_amd_64.deb

Nota: Cuando ejecutemos el comando, tenemos que estar en el directorio donde se encuentra el archivo ...

OPCIÓN C: No la he probado se trata de , le damos a la pestaña que dice Source Code, nos bajamos el paquete lo descomprimimos y miramos las instrucciones que vengan, normalmente viene con un README.txt o algo parecido que te dice como tienes que compilar ....

Saludos ....

Imagen de cuentos
+1
0
-1

Tienes que probar con una versión mas anterior.La versión que estas intentando instalar es para ubuntu 13.10 o 13.04
http://packages.ubuntu.com/search?suite=raring&searchon=names&keywords=l...
Y según e visto es mas recomendable instala paquetes deb con gedebi
http://www.ehowenespanol.com/instalar-paquete-gdebi-como_44995/

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de hectorsales
+1
0
-1

Probe con la versión guvcview_1.6.1_amd64.deb (2012-08-18) y ahora se ha instalado sin ningún tipo de problema..y lo he hecho mediante la terminal con sudo gdebi guvcview_1.6.1_amd64.deb

Muchas gracias cuentos ....

+1
0
-1

Ubuntu 14.04.1 LTS

Imagen de Jose Luis 1320
+1
0
-1

jamás abras aplicaciones gráficas con sudo.

Igualmente gdebi no es necesario que lo abras como root, este mismo te conduce a abrir el mismo programa como root para instalar los programas.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de hectorsales
+1
0
-1

Jose Luis 1320 Sáb, 13/07/2013 - 04:11
jamás abras aplicaciones gráficas con sudo.

¿Qué aplicación gráfica he abierto con sudo ...? Simplemente he instalado el programa con la sugerencia del compañero Cuentos, siguiendo el link que me facilito y siguiendo los pasos que hay vienen descritos .....
Un ejemplo el otro día instale los drivers privativos de ATI y por ejemplo si quiero lanzar la interfaz catalyst control center (administrador) para poder hacer determinados cambios tengo que hacerlo de la siguiente manera sudo amdcccle....

Extraido de : (Instalar driver privativo ATI/AMD para ubuntu 12.04 LTS)

http://askubuntu.com/questions/124292/what-is-the-correct-way-to-install...

You can make configuration changes through the AMD/ATI Catalyst Control Center, it can either be found in your Application menu or you can launch it through a terminal like this:

sudo amdcccle

Saludos ....

+1
0
-1

Ubuntu 14.04.1 LTS

Imagen de Jose Luis 1320
+1
0
-1

gdebi es una aplicación gráfica y no la debes abrir con sudo, punto.

amdcccle, no se que sea, si es una aplicación gráfica, entonces la información que hay en askubuntu es incorrecta.

En fin, ubuntu.com esta en lo correcto: https://help.ubuntu.com/community/RootSudo#sudo

lee:

You should never use normal sudo to start graphical applications as Root. You should use gksudo (kdesudo on Kubuntu) to run such programs. gksudo sets HOME=~root, and copies .Xauthority to a tmp directory. This prevents files in your home directory becoming owned by Root. (AFAICT, this is all that's special about the environment of the started process with gksudo vs. sudo).

Askubuntu esta mal!

Esto solamente es un consejo, una sugerencia, allá tú si pierdes la sesión gráfica, al menos ya sabrías por que.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de cuentos
+1
0
-1

En el link trae estas instrucciones:
1Haz clic en el archivo .deb en el buscador de archivos.
2-Elige "Abrir con administrador de paquetes Gdebi" en la ventana emergente.
3-Provee tu contraseña cuando sea requerido. El Administrador de Paquetes Gdebi resolverá cualquier dependencia e instalará el archivo
Este es la parte que suelo usar. Perto leyendo mas abajo trae para la terminal, i efectivamente es: "sudo gdebi package.deb"
Esta parte no la había leído, Y Lo que comenta Jose Luis, es que debe de ser gksudo (para ununtu,xubuntu), o y kdesudo para kubuntu.
PD. Si ya esta resuelto el hilo, ya puedes editar el titulo y agregar (solucionado)

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de hectorsales
+1
0
-1

Bueno, si no estoy equivocado, las conclusiones que he sacado serían:
- sudo: para ejecutar comandos en la terminal como root
- gksu o gksudo: para abrir aplicaciones gráficas como root, tipo nautilus, gedit ... etc.

Saludos ............

+1
0
-1

Ubuntu 14.04.1 LTS